Appearance
Update Contractor
Update an existing contractor record. Requires the CONTRACTOR_MANAGEMENT feature flag and ADMIN or MANAGE_CONTRACTORS permissions.
Parameters
| name * are required parameters | data type | description |
|---|---|---|
contractorId* | string | The unique identifier of the contractor to update |
body.name | string | Updated display name |
body.email | string | Updated email address |
body.phone | string | Updated phone number |
body.company | string | Updated company name |
Return Value
The updated contractor record.
Examples
bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/contractor/:contractorId" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "Updated Contractor Name"}'ENDPOINTS
put
/api/{targetPath}/contractor/:contractorId